/*******************************************************************************
 * ParticleModuleAttractorParticle generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleAttractorParticle extends ParticleModuleAttractorBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object);

enum EAttractorParticleSelectionMethod
{
    EAPSM_Random,
    EAPSM_Sequential,
    EAPSM_MAX
};

var(Attractor) noclear export name EmitterName;
var(Attractor) RawDistributionFloat Range;
var(Attractor) bool bStrengthByDistance;
var(Attractor) bool bAffectBaseVelocity;
var(Attractor) bool bRenewSource;
var(Attractor) bool bInheritSourceVel;
var(Attractor) RawDistributionFloat Strength;
var(Location) ParticleModuleAttractorParticle.EAttractorParticleSelectionMethod SelectionMethod;
var int LastSelIndex;

defaultproperties
{
    Range=Distribution=DistributionFloatConstant'Default__ParticleModuleAttractorParticle.DistributionRange',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Range
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    bStrengthByDistance=true
    Strength=Distribution=DistributionFloatConstant'Default__ParticleModuleAttractorParticle.DistributionStrength',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Strength
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    bSpawnModule=true
    bUpdateModule=true
}